## r-bioc-snpstats 1.14.0+dfsg

=== DESCRIPTION ===
Package: snpStats
Title: SnpMatrix and XSnpMatrix classes and methods
Version: 1.14.0
Date: 2013-12-12
Author: David Clayton <dc208@cam.ac.uk> 
Description: Classes and statistical methods for large SNP association studies, extending the snpMatrix package (now removed)
Maintainer: David Clayton <dc208@cam.ac.uk>
Depends: R(>= 2.10.0), survival, Matrix, methods
Imports: graphics, grDevices, stats, utils, BiocGenerics
Suggests: hexbin
License: GPL-3
Collate: ss.R contingency.table.R convert.R compare.R glm-test.R
        imputation.R indata.R long.R misc.R ld.R mvtests.R pedfile.R
        outdata.R plink.R qc.R qq-chisq.R single.R tdt-single.R
        structure.R xstuff.R zzz.R
LazyLoad: yes
biocViews: Microarray, SNP, GeneticVariability
Packaged: 2014-04-12 05:43:49 UTC; biocbuild

=== debian/changelog ===
r-bioc-snpstats (1.14.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #756003)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jul 2014 21:24:36 +0200

=== debian/control ===
Source: r-bioc-snpstats
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Testsuite: autopkgtest
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-survival,
               r-cran-matrix,
               r-bioc-biocgenerics,
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/snpStats.html

Package: r-bioc-snpstats
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-cran-survival,
         r-cran-matrix,
         r-bioc-biocgenerics
Description: BioConductor SnpMatrix and XSnpMatrix classes and methods
 This BioConductor package provides R functions to work with
 SnpMatrix and XSnpMatrix classes and methods.

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/,downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/snpStats.html .*/snpStats_([\d\.]+)\.tar\.gz

## r-bioc-snpstats 1.18.0+dfsg

=== DESCRIPTION ===
Package: snpStats
Title: SnpMatrix and XSnpMatrix classes and methods
Version: 1.18.0
Date: 2014-08-17
Author: David Clayton <dc208@cam.ac.uk> 
Description: Classes and statistical methods for large SNP association studies, extending the snpMatrix package
Maintainer: David Clayton <dc208@cam.ac.uk>
Depends: R(>= 2.10.0), survival, Matrix, methods
Imports: graphics, grDevices, stats, utils, BiocGenerics, zlibbioc
Suggests: hexbin
License: GPL-3
Collate: ss.R contingency.table.R convert.R compare.R glm-test.R
        imputation.R indata.R long.R misc.R ld.R mvtests.R pedfile.R
        outdata.R plink.R qc.R qq-chisq.R single.R tdt-single.R
        structure.R xstuff.R
LazyLoad: yes
biocViews: Microarray, SNP, GeneticVariability
Packaged: 2015-04-17 02:34:47 UTC; biocbuild
NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Exclude tests needing not packaged CRAN packages
  * d/watch: proper versionmangling

 -- Andreas Tille <tille@debian.org>  Sat, 09 May 2015 08:31:15 +0200

r-bioc-snpstats (1.16.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debian/copyright: Upstream has dropped code copies

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2014 08:44:55 +0200

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\.\./packages\/release\/bioc/" \
 http://www.bioconductor.org/packages/release/bioc/html/snpStats.html .*/snpStats_([\d\.]+)\.tar\.gz

## r-bioc-snpstats 1.20.0+dfsg

=== DESCRIPTION ===
Package: snpStats
Title: SnpMatrix and XSnpMatrix classes and methods
Version: 1.20.0
Date: 2015-09-18
Author: David Clayton <dc208@cam.ac.uk> 
Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
Maintainer: David Clayton <dc208@cam.ac.uk>
Depends: R(>= 2.10.0), survival, Matrix, methods
Imports: graphics, grDevices, stats, utils, BiocGenerics, zlibbioc
Suggests: hexbin
License: GPL-3
Collate: ss.R contingency.table.R convert.R compare.R glm-test.R
        imputation.R indata.R long.R misc.R ld.R mvtests.R pedfile.R
        outdata.R plink.R qc.R qq-chisq.R single.R tdt-single.R
        structure.R xstuff.R
LazyLoad: yes
biocViews: Microarray, SNP, GeneticVariability
Packaged: 2015-10-14 01:04:29 UTC; biocbuild
NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * lintian override for false positive

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2015 10:10:56 +0100

=== debian/control ===
Source: r-bioc-snpstats
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-survival,
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.12.0),
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/snpStats.html

Package: r-bioc-snpstats
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-cran-survival,
         r-cran-matrix,
         r-bioc-biocgenerics (>= 0.12.0)
Suggests: r-cran-hexbin
Description: BioConductor SnpMatrix and XSnpMatrix classes and methods
 This BioConductor package provides R functions to work with
 SnpMatrix and XSnpMatrix classes and methods.

=== debian/rules ===
#!/usr/bin/make -f

debRreposname=bioc
include /usr/share/R/debian/r-cran.mk

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc?" \
 http://www.bioconductor.org/packages/release/bioc/html/snpStats.html .*/snpStats_([\d\.]+)\.tar\.gz

## r-bioc-snpstats 1.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.20.0
-Date: 2015-09-18
+Version: 1.22.0
+Date: 2015-12-19
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
 Maintainer: David Clayton <dc208@cam.ac.uk>
@@ -15,5 +15,5 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2015-10-14 01:04:29 UTC; biocbuild
+Packaged: 2016-05-04 03:07:49 UTC; biocbuild
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.22.0+dfsg-2) unstable; urgency=medium

  * Add missing test dependency (thanks for the patch to Gordon Ball)

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jun 2016 22:17:40 +0200

r-bioc-snpstats (1.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 08:29:42 +0200

r-bioc-snpstats (1.20.0+dfsg-2) unstable; urgency=medium

  * Fix autopkgtest
  * cme fix dpkg-control
  * d/watch: use xz compression

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2016 08:32:30 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                r-cran-matrix,
                r-bioc-biocgenerics (>= 0.12.0),
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/snpStats.html

## r-bioc-snpstats 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.22.0
+Version: 1.24.0
 Date: 2015-12-19
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,5 +15,5 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2016-05-04 03:07:49 UTC; biocbuild
+Packaged: 2016-10-17 22:22:13 UTC; biocbuild
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 13:14:09 +0200

=== debian/control ===
Source: r-bioc-snpstats
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-cran-survival,
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.12.0),
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
Homepage: https://bioconductor.org/packages/snpStats/

Package: r-bioc-snpstats
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor SnpMatrix and XSnpMatrix classes and methods
 This BioConductor package provides R functions to work with
 SnpMatrix and XSnpMatrix classes and methods.

## r-bioc-snpstats 1.28.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
                r-cran-survival,
                r-cran-matrix,
                r-bioc-biocgenerics (>= 0.12.0),
                zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-snpstats/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-snpstats.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-snpstats.git
 Homepage: https://bioconductor.org/packages/snpStats/
 
 Package: r-bioc-snpstats

## r-bioc-snpstats 1.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.24.0
+Version: 1.28.0
 Date: 2015-12-19
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,5 +15,5 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2016-10-17 22:22:13 UTC; biocbuild
+Packaged: 2017-10-30 22:50:29 UTC; biocbuild
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2017 08:40:42 +0100

r-bioc-snpstats (1.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Remove unneeded autopkgtest header
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 16:27:11 +0200

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc?,repack,compression=xz" \
 http://www.bioconductor.org/packages/release/bioc/html/snpStats.html .*/snpStats_([\d\.]+)\.tar\.gz

## r-bioc-snpstats 1.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.28.0
-Date: 2015-12-19
+Version: 1.30.0
+Date: 2017-11-06
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
 Maintainer: David Clayton <dc208@cam.ac.uk>
@@ -15,5 +15,5 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2017-10-30 22:50:29 UTC; biocbuild
+Packaged: 2018-04-30 22:56:35 UTC; biocbuild
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.30.0+dfsg-2build2) cosmic; urgency=medium

  * No-change rebuild against r-api-3.5

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 01 Jun 2018 18:46:32 +0000

r-bioc-snpstats (1.30.0+dfsg-2build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:32:49 +0000

r-bioc-snpstats (1.30.0+dfsg-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 08:02:49 +0200

r-bioc-snpstats (1.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 13:07:09 +0200

=== debian/control ===
Source: r-bioc-snpstats
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-survival,
               r-cran-matrix,
               r-bioc-biocgenerics
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats.git
Homepage: https://bioconductor.org/packages/snpStats/

Package: r-bioc-snpstats
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor SnpMatrix and XSnpMatrix classes and methods
 This BioConductor package provides R functions to work with
 SnpMatrix and XSnpMatrix classes and methods.

## r-bioc-snpstats 1.32.0%2Bdfsg

=== debian/changelog ===
r-bioc-snpstats (1.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 08 Nov 2018 08:07:30 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-cran-survival,
                r-cran-matrix,
                r-bioc-biocgenerics
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats.git
 Homepage: https://bioconductor.org/packages/snpStats/

## r-bioc-snpstats 1.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.30.0
+Version: 1.32.0
 Date: 2017-11-06
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,5 +15,10 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2018-04-30 22:56:35 UTC; biocbuild
+Packaged: 2018-10-30 23:00:12 UTC; biocbuild
+git_url: https://git.bioconductor.org/packages/snpStats
+git_branch: RELEASE_3_8
+git_last_commit: 7c31158
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: yes

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc?,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/snpStats.html .*/snpStats_([\d\.]+)\.tar\.gz

## r-bioc-snpstats 1.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.32.0
+Version: 1.34.0
 Date: 2017-11-06
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,10 +15,10 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2018-10-30 23:00:12 UTC; biocbuild
+Packaged: 2019-05-02 23:50:54 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_8
-git_last_commit: 7c31158
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: e31cdfb
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.34.0+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Remove patch and use r-bioc-zlibbioc.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright
  * Enhance description

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 13:13:14 +0200

=== debian/control ===
Source: r-bioc-snpstats
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-survival,
               r-cran-matrix,
               r-bioc-biocgenerics,
               r-bioc-zlibbioc
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats.git
Homepage: https://bioconductor.org/packages/snpStats/

Package: r-bioc-snpstats
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor SnpMatrix and XSnpMatrix classes and methods
 This BioConductor package provides R functions to work with SnpMatrix
 and XSnpMatrix classes and methods.
 .
 SnpStats arose out of the need to store, and analyse, SNP genotype data
 in which subjects cannot be assigned to the three possible genotypes
 with certainty. This necessitated a change in the way in which data are
 stored internally, although snpStats can still handle conventionally
 called genotype data stored in the original snpMatrix storage mode.
 snpStats currently lacks some facilities which were present in snpMatrix
 (although, hopefully, the important gaps will soon be filled) but it
 also includes several important new facilities.

## r-bioc-snpstats 1.36.0%2Bdfsg

=== debian/changelog ===
r-bioc-snpstats (1.36.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Nov 2019 23:32:10 +0100

## r-bioc-snpstats 1.36.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.34.0
-Date: 2017-11-06
+Version: 1.36.0
+Date: 2019-10-08
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
 Maintainer: David Clayton <dc208@cam.ac.uk>
@@ -15,10 +15,10 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2019-05-02 23:50:54 UTC; biocbuild
+Packaged: 2019-10-29 23:47:30 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_9
-git_last_commit: e31cdfb
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 6838a7c
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: yes

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-survival,
                r-cran-matrix,
                r-bioc-biocgenerics,
                r-bioc-zlibbioc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats.git
 Homepage: https://bioconductor.org/packages/snpStats/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-hexbin
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/snpStats.html .*/snpStats_([\d\.]+)\.tar\.gz

## r-bioc-snpstats 1.38.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.36.0
+Version: 1.38.0
 Date: 2019-10-08
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,10 +15,10 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2019-10-29 23:47:30 UTC; biocbuild
+Packaged: 2020-04-27 23:57:54 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_10
-git_last_commit: 6838a7c
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: c6f69e7
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.38.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:16:06 +0000

r-bioc-snpstats (1.38.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 May 2020 09:31:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -10,10 +11,11 @@
                r-cran-matrix,
                r-bioc-biocgenerics,
                r-bioc-zlibbioc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats.git
 Homepage: https://bioconductor.org/packages/snpStats/
+Rules-Requires-Root: no
 
 Package: r-bioc-snpstats
 Architecture: any

## r-bioc-snpstats 1.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.38.0
+Version: 1.40.0
 Date: 2019-10-08
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,10 +15,10 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2020-04-27 23:57:54 UTC; biocbuild
+Packaged: 2020-10-28 03:39:08 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_11
-git_last_commit: c6f69e7
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: 5fcac6f
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Nov 2020 15:36:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-survival,

## r-bioc-snpstats 1.44.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.40.0
-Date: 2019-10-08
+Version: 1.44.0
+Date: 2021-08-01
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
 Maintainer: David Clayton <dc208@cam.ac.uk>
@@ -15,10 +15,10 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2020-10-28 03:39:08 UTC; biocbuild
+Packaged: 2021-10-26 22:51:52 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_12
-git_last_commit: 5fcac6f
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 72392da
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.44.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.44.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 21:28:30 +0530

r-bioc-snpstats (1.42.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 15:48:09 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-matrix,
                r-bioc-biocgenerics,
                r-bioc-zlibbioc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats.git
 Homepage: https://bioconductor.org/packages/snpStats/

## r-bioc-snpstats 1.46.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.44.0
+Version: 1.46.0
 Date: 2021-08-01
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,10 +15,10 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2021-10-26 22:51:52 UTC; biocbuild
+Packaged: 2022-04-26 22:09:06 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_14
-git_last_commit: 72392da
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 1e70784
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.46.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 15:07:32 +0200

## r-bioc-snpstats 1.48.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.46.0
-Date: 2021-08-01
+Version: 1.48.0
+Date: 2022-07-27
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
 Maintainer: David Clayton <dc208@cam.ac.uk>
@@ -15,10 +15,10 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2022-04-26 22:09:06 UTC; biocbuild
+Packaged: 2022-11-01 23:04:06 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_15
-git_last_commit: 1e70784
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 7d4cec7
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.48.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:25:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-snpstats
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats.git
+Homepage: https://bioconductor.org/packages/snpStats/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-cran-matrix,
                r-bioc-biocgenerics,
                r-bioc-zlibbioc
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats.git
-Homepage: https://bioconductor.org/packages/snpStats/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-snpstats
 Architecture: any

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/snpStats.html .*/snpStats_([\d\.]+)\.tar\.gz

## r-bioc-snpstats 1.50.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.48.0
+Version: 1.50.0
 Date: 2022-07-27
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,10 +15,10 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2022-11-01 23:04:06 UTC; biocbuild
+Packaged: 2023-04-25 22:52:51 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_16
-git_last_commit: 7d4cec7
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: b6d42f9
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.50.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Convert d/t/control to d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 23:41:40 +0200

## r-bioc-snpstats 1.52.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.50.0
+Version: 1.52.0
 Date: 2022-07-27
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,10 +15,10 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2023-04-25 22:52:51 UTC; biocbuild
+Packaged: 2023-10-24 23:08:50 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_17
-git_last_commit: b6d42f9
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: fd571ef
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.52.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 09:15:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats.git
 Homepage: https://bioconductor.org/packages/snpStats/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-snpstats 1.54.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.52.0
+Version: 1.54.0
 Date: 2022-07-27
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,10 +15,11 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2023-10-24 23:08:50 UTC; biocbuild
+Packaged: 2024-05-01 06:07:35 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_18
-git_last_commit: fd571ef
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 2bbb682
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.54.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/control: re-order using dh-update-R & cme fix dpkg.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 15:02:16 +0200

r-bioc-snpstats (1.54.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 12:53:10 +0200

r-bioc-snpstats (1.54.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 00:47:28 +0200

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,16 @@
                r-base-dev,
                r-cran-survival,
                r-cran-matrix,
-               r-bioc-biocgenerics,
-               r-bioc-zlibbioc
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-zlibbioc (>= 1.50.0),
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-snpstats
 Architecture: any
-Depends: ${R:Depends},
+Depends: r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-zlibbioc (>= 1.50.0),
+         ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}

## r-bioc-snpstats 1.56.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snpStats
 Title: SnpMatrix and XSnpMatrix classes and methods
-Version: 1.54.0
+Version: 1.56.0
 Date: 2022-07-27
 Author: David Clayton <dc208@cam.ac.uk> 
 Description: Classes and statistical methods for large SNP association studies. This extends the earlier snpMatrix package, allowing for uncertainty in genotypes.
@@ -15,11 +15,11 @@
         structure.R xstuff.R
 LazyLoad: yes
 biocViews: Microarray, SNP, GeneticVariability
-Packaged: 2024-05-01 06:07:35 UTC; biocbuild
+Packaged: 2024-10-30 02:57:03 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/snpStats
-git_branch: RELEASE_3_19
-git_last_commit: 2bbb682
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 92d244d
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-snpstats (1.56.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 22:15:11 +0100

r-bioc-snpstats (1.56.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 12:01:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,21 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-snpstats.git
 Homepage: https://bioconductor.org/packages/snpStats/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-survival,
                r-cran-matrix,
-               r-bioc-biocgenerics (>= 0.50.0),
-               r-bioc-zlibbioc (>= 1.50.0),
+               r-bioc-biocgenerics,
+               r-bioc-zlibbioc,
                architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-snpstats
 Architecture: any
-Depends: r-bioc-biocgenerics (>= 0.50.0),
-         r-bioc-zlibbioc (>= 1.50.0),
-         ${R:Depends},
+Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
